[class^="overlay--"] {
  position: relative;
  width: 100vw;
  height: 100%;
  @include _transition(all);

  &.-fixed {
    position: fixed;
    top: 0;
    left: 0;
    z-index: z-index('overlay');
  }

  > .background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba($color-black, .8);
  }

  > .container {
    @include _containerHelper('medium', 0);

    > .content {
      width: 100%;
      height: 100%;
      overflow: auto;
    }

    @include _respond-to('desktops') {
      @include _display-flex(flex, center);

      > .content {
        height: auto;
        max-height: 100%;
      }
    }
  }

  .btn-close {
    position: absolute;
    top: 0;
    right: 0;
    width: $topbar-height;
    height: $topbar-height;

    background: rgba($color-black, .1);

    &:before {
      @include _getIcon('close');
      @include _font-size($font-size-big);
    }
  }
}